GammalLib - Change request #1269

Re-organise CTA class hames
07/11/2014 03:25 PM - Knodlseder Jirgen

Status: Closed Start date: 07/11/2014
Priority: Normal Due date:

Assigned To: Knédlseder Jurgen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.0.0

Description

The number of CTA specific classes now becomes pretty large, and we start getting confusion with naming conventions. It thus seem
appropriate to re-organise the CTA classes naming conventions before we go to release 1.0.0.

Here a proposal of how to re-organise names:

e The response is factorized into Aeff, Psf, Edisp and Background. To make clear that the related classes are part of the
Instrument Response Function I'd propose to prepend Irf, e.g. GCTAIrfAeff, GCTAIrfAeff2D, GCTAIrfAeffArf, ..., GCTAIrfPsf, ...,

GCTAIrfEdisp, ..., GCTAIrfBackground.

¢ All CTA specific models start with GCTAModel (already implemented@
¢ All cube-style specific classes start with GCTACube, e.g. GCTACubeExposure, GCTACubePsf, GCTACubeBackground; the
only exception would be GCTAEventCube that derives from GEventCube

History

#1 - 07/11/2014 03:25 PM - Knodlseder Jiirgen

- Target version set to 1.0.0

#2 - 02/02/2015 09:25 PM - Knddliseder Jiirgen
- Assigned To set to Knédlseder Jiirgen

- % Done changed from 0 to 50

| did the following changes to class names:

GCTAExposure => GCTACubeExposure
GCTAMeanPsf => GCTACubePsf
GCTASourceCube => GCTACubeSource

GCTASourceCubeDiffuse => GCTACubeSourceDiffuse
GCTASourceCubePointSource => GCTACubeSourcePoint

| did not rename the other IRF classes to GCTAIr... as this creates very bulky class names for little gain. Hence only cube analysis classes will get
special GCTACube... names to distinguish classes for this analysis type from the other classes.

#3 - 02/02/2015 11:19 PM - Knodlseder Jiirgen
- Status changed from New to Closed

- % Done changed from 50 to 100

Adapt also ctools code and merge changes into devel.
